PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zTile_to_Lapack | ( | PLASMA_desc * | A,
|  | PLASMA_Complex64_t * | Af77,
|  | int | LDA
| ) |  |

PLASMA_Tile_to_Lapack - Conversion from tile layout to LAPACK layout. It automatically infers the layout translation mode base on the values of Af77 and A->mat pointers. If (A->mat == Af77 || A->mat == NULL || Af77 == NULL), PLASMA_TRANSLATION_MODE is set to PLASMA_INPLACE to do inplace layout translation of the matrix. If (A->mat != Af77 && A->mat != NULL && Af77 != NULL), PLASMA_TRANSLATION_MODE is set to PLASMA_OUTOFPLACE to do out of place layout translation of the matrix. Both A->mat and Af77 have to be allocated to store the full matrix.

Parameters

  [in] | A | Descriptor of the PLASMA matrix in tile layout.
  [in,out] | Af77 | LAPACK matrix.
  [in] | LDA | The leading dimension of the matrix Af77.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_zTile_to_Lapack_Async
  PLASMA_zLapack_to_Tile
  PLASMA_cTile_to_Lapack
  PLASMA_dTile_to_Lapack
  PLASMA_sTile_to_Lapack